<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:42:08 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TextEditorModelSharedResource (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextEditorModelSharedResource (org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelSharedResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelSharedResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource</div>
<h2 title="Class TextEditorModelSharedResource" class="title">Class TextEditorModelSharedResource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.core.resource.AbstractModel</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.core.resource.AbstractBaseModel</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.core.resource.EMFLogicalModel</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource&lt;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.TextEditorModelSharedResource</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.core.runtime.IAdaptable, org.eclipse.papyrus.infra.core.resource.IEMFModel, org.eclipse.papyrus.infra.core.resource.IModel, org.eclipse.papyrus.infra.core.resource.IVersionableModel</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TextEditorModelSharedResource</span>
extends org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource&lt;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&gt;
implements org.eclipse.papyrus.infra.core.resource.IModel</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource</h3>
<code>org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource.ModelKind</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractBaseModel">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractBaseModel</h3>
<code>org.eclipse.papyrus.infra.core.resource.AbstractBaseModel.SaveCopyURIHandlerImp</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#MODEL_ID">MODEL_ID</a></span></code>
<div class="block">Model ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#NOTATION_FILE_EXTENSION">NOTATION_FILE_EXTENSION</a></span></code>
<div class="block">File extension used for notation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.infra.core.resource.EMFLogicalModel">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.EMFLogicalModel</h3>
<code>resources</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractBaseModel">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractBaseModel</h3>
<code>resource, resourceURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModel">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractModel</h3>
<code>afterLoadModelIdentifiers, ENCODING, modelSet, snippets, unloadBeforeModelIdentifiers</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#TextEditorModelSharedResource--">TextEditorModelSharedResource</a></span>()</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#addTextEditorModel-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">addTextEditorModel</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;textInstance)</code>
<div class="block">Add a new initialized <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model"><code>TextEditorModel</code></a> to the model.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#getIdentifier--">getIdentifier</a></span>()</code>
<div class="block">Get the identifier used to register this model.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#getModelFileExtension--">getModelFileExtension</a></span>()</code>
<div class="block">Get the file extension used for this model.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#getTextEditorModel-org.eclipse.emf.ecore.EObject-">getTextEditorModel</a></span>(org.eclipse.emf.ecore.EObject&nbsp;editedObject)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#isModelRoot-org.eclipse.emf.ecore.EObject-">isModelRoot</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html#removeTextEditorModel-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">removeTextEditorModel</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;textInstance)</code>
<div class="block">Add a new initialized <code>PapyrustextInstance</code> to the model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource</h3>
<code>addModelRoot, createModel, getModelRoot, getModelRoots, getRootElements, getSaveOptions, isModelFor, isSupportedRoot, loadModel, saveCopy, saveModel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.EMFLogicalModel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.EMFLogicalModel</h3>
<code>canPersist, cleanModel, configureResource, getResources, handle, isRelatedResource, persist, pruneDeletedResources, setModelURI, unload, updateURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractBaseModel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractBaseModel</h3>
<code>changeModelPath, createModel, exists, fillTargetMap, getAdapter, getDefaultSaveOptions, getModifiedURIs, getPlatformURI, getResource, getResourceURI, getTargetURI, getURI, importModel, importModel, isControlled, isRootElement, loadModel, loadModel, resourceIsSet</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.infra.core.resource.AbstractModel</h3>
<code>addModelSnippet, getAfterLoadModelIdentifiers, getModelManager, getResourceSet, getUnloadBeforeModelIdentifiers, init, setAfterLoadModelDependencies, setBeforeUnloadDependencies, startSnippets, stopSnippets</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.IModel">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.infra.core.resource.IModel</h3>
<code>addModelSnippet, changeModelPath, cleanModel, createModel, createModel, getAdapter, getAfterLoadModelIdentifiers, getModifiedURIs, getUnloadBeforeModelIdentifiers, importModel, importModel, init, isModelFor, loadModel, loadModel, saveModel, setAfterLoadModelDependencies, setBeforeUnloadDependencies, setModelURI, unload</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.infra.core.resource.IEMFModel">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.infra.core.resource.IEMFModel</h3>
<code>getResource, isControlled</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NOTATION_FILE_EXTENSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTATION_FILE_EXTENSION</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NOTATION_FILE_EXTENSION</pre>
<div class="block">File extension used for notation.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.TextEditorModelSharedResource.NOTATION_FILE_EXTENSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MODEL_ID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MODEL_ID</h4>
<pre>public static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> MODEL_ID</pre>
<div class="block">Model ID.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../constant-values.html#org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.modelresource.TextEditorModelSharedResource.MODEL_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TextEditorModelSharedResource--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TextEditorModelSharedResource</h4>
<pre>public&nbsp;TextEditorModelSharedResource()</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getModelFileExtension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModelFileExtension</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getModelFileExtension()</pre>
<div class="block">Get the file extension used for this model.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getModelFileExtension</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.core.resource.AbstractBaseModel</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>AbstractBaseModel.getModelFileExtension()</code></dd>
</dl>
</li>
</ul>
<a name="getIdentifier--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentifier</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIdentifier()</pre>
<div class="block">Get the identifier used to register this model.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getIdentifier</code>&nbsp;in interface&nbsp;<code>org.eclipse.papyrus.infra.core.resource.IModel</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getIdentifier</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.core.resource.AbstractModel</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>AbstractModel.getIdentifier()</code></dd>
</dl>
</li>
</ul>
<a name="addTextEditorModel-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTextEditorModel</h4>
<pre>public&nbsp;void&nbsp;addTextEditorModel(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;textInstance)</pre>
<div class="block">Add a new initialized <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model"><code>TextEditorModel</code></a> to the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>textInstance</code> - The textInstance to add.</dd>
</dl>
</li>
</ul>
<a name="removeTextEditorModel-org.eclipse.papyrus.languages.designer.common.texteditor.model.TextEditorModel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTextEditorModel</h4>
<pre>public&nbsp;void&nbsp;removeTextEditorModel(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;textInstance)</pre>
<div class="block">Add a new initialized <code>PapyrustextInstance</code> to the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>textInstance</code> - The textInstance to add.</dd>
</dl>
</li>
</ul>
<a name="getTextEditorModel-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextEditorModel</h4>
<pre>public&nbsp;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&nbsp;getTextEditorModel(org.eclipse.emf.ecore.EObject&nbsp;editedObject)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editedObject</code> - an edited element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an editor reference for a given object if an editor exists, or null</dd>
</dl>
</li>
</ul>
<a name="isModelRoot-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isModelRoot</h4>
<pre>protected&nbsp;boolean&nbsp;isModelRoot(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isModelRoot</code>&nbsp;in class&nbsp;<code>org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource&lt;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.languages/org.eclipse.papyrus.designer.languages.common/org.eclipse.papyrus.designer.languages.common.texteditor.model/apidocs/org/eclipse/papyrus/languages/designer/common/texteditor/model/TextEditorModel.html?is-external=true" title="class or interface in org.eclipse.papyrus.languages.designer.common.texteditor.model">TextEditorModel</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>AbstractModelWithSharedResource.isModelRoot(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TextEditorModelSharedResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/modelresource/TextEditorModelSharedResource.html" target="_top">Frames</a></li>
<li><a href="TextEditorModelSharedResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.papyrus.infra.core.resource.AbstractModelWithSharedResource">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
